Bug 1674844 - elastic-curator: FTBFS in Fedora rawhide/f30
Summary: elastic-curator: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: elastic-curator
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS 1716465
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:07 UTC by Fedora Release Engineering
Modified: 2019-08-08 13:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 13:42:19 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:07 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:07 UTC, Fedora Release Engineering
no flags Details
state.log (653 bytes, text/plain)
2019-02-11 17:07 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 17:07:50 UTC
elastic-curator failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32379929


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix elastic-curator at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
elastic-curator will be orphaned. Before branching of Fedora 31,
elastic-curator will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:07:52 UTC
Created attachment 1529813 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:07:54 UTC
Created attachment 1529814 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:07:55 UTC
Created attachment 1529815 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:26:51 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Fedora Release Engineering 2019-06-03 21:42:13 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Lumír Balhar 2019-06-27 08:33:18 UTC
The problem is caused by unsatisfied dependencies which lead to try to download packages from PyPI:

BUILDSTDERR: Download error on https://pypi.org/simple/elasticsearch/: [Errno -2] Name or service not known -- Some packages may not be found!
BUILDSTDERR: Download error on https://pypi.org/simple/: [Errno -2] Name or service not known -- Some packages may not be found!
BUILDSTDERR: No local packages or working download links found for elasticsearch<3.0.0,>=2.4.0
BUILDSTDERR: error: Could not find suitable distribution for Requirement.parse('elasticsearch<3.0.0,>=2.4.0')
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.tFNThx (%check)

Comment 7 Fedora Release Engineering 2019-08-08 13:42:19 UTC
The package was retired.


Note You need to log in before you can comment on or make changes to this bug.